sso.oidc.updateConnection wraps the Update OIDC Connection API endpoint. The organization_id will be automatically inferred from the logged-in session. This method cannot be used to update OIDC connections in other .
When the value of issuer changes, Stytch will attempt to retrieve the OpenID Provider Metadata document found at ${issuer}/.well-known/openid-configuration. If the metadata document can be retrieved successfully, Stytch will use it to infer the values of authorization_url, token_url, jwks_url, and userinfo_url. The client_id and client_secret values cannot be inferred from the metadata document, and must be passed in explicitly.
If the metadata document cannot be retrieved, Stytch will still update the connection using values from the request body.
If the metadata document can be retrieved, and values are passed in the request body, the explicit values passed in from the request body will take precedence over the values inferred from the metadata document.
Note that a newly created connection will not become active until all of the following fields are provided:
issuerclient_idclient_secretauthorization_urltoken_urluserinfo_urljwks_url
RBAC Enforced MethodThis method requires a valid Session for a member with permission to perform the Action on the Resource.Before using this method, enable Member actions & organization modifications in the Frontend SDK page. To learn more, see our RBAC guide.
Parameters
Globally unique UUID that identifies a specific SSO
connection_id for a Member.Name of the IdP. Enum with possible values:
classlink, cyberark, duo, google-workspace, jumpcloud, keycloak, miniorange, microsoft-entra, okta, onelogin, pingfederate, rippling, salesforce, shibboleth, or generic.Specifying a known provider allows Stytch to handle any provider-specific logic.A human-readable display name for the connection.
A case-sensitive
https:// URL that must uniquely identify the IdP. This will be provided by the IdP.The OAuth2.0 client ID used to authenticate login attempts. This will be provided by the IdP.
The secret belonging to the OAuth2.0 client used to authenticate login attempts. This will be provided by the IdP.
The location of the URL that starts an OAuth login at the IdP. This will be provided by the IdP.
The location of the URL that issues OAuth2.0 access tokens and OIDC ID tokens. This will be provided by the IdP.
The location of the IDP’s UserInfo Endpoint. This will be provided by the IdP.
The location of the IdP’s JSON Web Key Set, used to verify credentials issued by the IdP. This will be provided by the IdP.
Response
The OIDC Connection object updated by this API call.
Globally unique UUID that is returned with every API call. This value is important to log for debugging purposes; we
may ask for this value to help identify a specific API call when helping you debug an issue.
The HTTP status code of the response. Stytch follows standard HTTP response status code patterns, e.g. 2XX values
equate to success, 3XX values are redirects, 4XX are client errors, and 5XX are server errors.